Bug 440688 - The genkey does not work with serial number
The genkey does not work with serial number
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: crypto-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Joe Orton
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 10:29 EDT by Milan Kerslager
Modified: 2013-04-12 15:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 12:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2008-04-04 10:29:31 EDT
The serial number of the certificate must be different or Firefox refuses to
show a page that is transferred by SSL with another certificate with the same
serial number. See bug #151190.

Please create an input field to write down a serial number in genkey program.
Comment 1 Joe Orton 2008-05-13 06:42:10 EDT
Thanks for the report; this seems reasonable.
Comment 6 RHEL Product and Program Management 2008-09-19 17:53:24 EDT
This bugzilla was reviewed by QE as a non-FasTrack request.
It has since been proposed for FasTrack. The qa_ack has 
been reset. QE needs to re-review this bugzilla for FasTrack.
Comment 19 Joe Orton 2013-03-13 12:39:29 EDT
The current genkey in Red Hat Enterprise Linux 6 applies a random serial number to generated certs; we have no plans to add this feature in Red Hat Enterprise Linux 5 - please consider upgrading.

Note You need to log in before you can comment on or make changes to this bug.